## Apache Zeta Components Manual :: Docs For Class ezcAuthenticationOpenidFileStoreOptions

### Authentication::ezcAuthenticationOpenidFileStoreOptions

### Class ezcAuthenticationOpenidFileStoreOptions

Class containing the options for the OpenID file store.

Source for this file: /Authentication/src/options/openid_file_store_options.php

    ezcBaseOptions
       |
       --ezcAuthenticationOpenidStoreOptions
          |
          --ezcAuthenticationOpenidFileStoreOptions

Version: | //autogen//

### Inherited Member Variables

From ezcBaseOptions
protected | `ezcBaseOptions::$properties`

### Method Summary

public ezcAuthenticationOpenidFileStoreOptions | `__construct( [ $options = array()] )` Constructs an object with the specified values.

### Inherited Methods

From ezcAuthenticationOpenidStoreOptions
public ezcAuthenticationOpenidStoreOptions | `ezcAuthenticationOpenidStoreOptions::__construct()` Constructs an object with the specified values.
From ezcBaseOptions
public ezcBaseOptions | `ezcBaseOptions::__construct()` Construct a new options object.
public void | `ezcBaseOptions::merge()` Merge an array into the actual options object.
public bool | `ezcBaseOptions::offsetExists()` Returns if an option exists.
public mixed | `ezcBaseOptions::offsetGet()` Returns an option value.
public void | `ezcBaseOptions::offsetSet()` Set an option.
public void | `ezcBaseOptions::offsetUnset()` Unset an option.

### Methods

#### __construct

ezcAuthenticationOpenidFileStoreOptions __construct( [ $options = array()] )

Constructs an object with the specified values.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$options` | array(string=>mixed) | Options for this class

##### Exceptions:

Type | Description
--- | ---
`ezcBaseValueException` | if $options contains a property with a value not allowed
`ezcBasePropertyNotFoundException` | if $options contains a property not defined

##### Redefinition of:

Method | Description
--- | ---
`ezcAuthenticationOpenidStoreOptions::__construct()` | Constructs an object with the specified values.

Documentation generated by phpDocumentor 1.4.3